> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-de-lapi/vue-densemble-des-requetes-de-lapi-geopard/62.-mutation-partager-des-exploitations.md).

# 62. Mutation : partager des exploitations

Partage en lot de fermes avec des utilisateurs au sein de l’« Organization » ou pour des utilisateurs externes. Il existe deux cas d’application de la mutation. Le premier cas est le partage en lot de « Farm » via une liste d’e-mails.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: {
      farmUuids: ["farm_uuid1", "farm_uuid2"]
      emails: ["user1@gmail.com", "user2@gmail.com"]
    }
  ) {
    uuid
    userUuid
    nom
    farmOwnership
    dateDeCréation
    updatedDate
    email
  }
}

```

{% endcode %}

Et le deuxième cas consiste à définir le drapeau ‘allFarms=true’ pour la liste d’« Users » dans l’« Organization », ce qui signifie que toutes les nouvelles fermes au sein de l’« Organization » seront accessibles pour ces « Users ».&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: { 
      emails: ["user@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    userUuid
    nom
    farmOwnership
    dateDeCréation
    updatedDate
    email
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-de-lapi/vue-densemble-des-requetes-de-lapi-geopard/62.-mutation-partager-des-exploitations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
